# -*- encoding: utf-8 -*-
# stub: sup 0.21.0 ruby lib
# stub: ext/mkrf_conf_xapian.rb

Gem::Specification.new do |s|
  s.name = "sup"
  s.version = "0.21.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["William Morgan", "Gaute Hope", "Hamish Downer", "Matthieu Rakotojaona"]
  s.date = "2015-02-12"
  s.description = "    Sup is a console-based email client for people with a lot of email.\n\n    * GMail-like thread-centered archiving, tagging and muting\n    * Handling mail from multiple mbox and Maildir sources\n    * Blazing fast full-text search with a rich query language\n    * Multiple accounts - pick the right one when sending mail\n    * Ruby-programmable hooks\n    * Automatically tracking recent contacts\n"
  s.email = "supmua@googlegroups.com"
  s.executables = ["sup", "sup-add", "sup-config", "sup-dump", "sup-import-dump", "sup-psych-ify-config-files", "sup-recover-sources", "sup-sync", "sup-sync-back-maildir", "sup-tweak-labels"]
  s.extensions = ["ext/mkrf_conf_xapian.rb"]
  s.extra_rdoc_files = ["man/sup-tweak-labels.1", "man/sup-sync.1", "man/sup-psych-ify-config-files.1", "man/sup-config.1", "man/sup-import-dump.1", "man/sup-dump.1", "man/sup-sync-back-maildir.1", "man/sup-add.1", "man/sup-recover-sources.1", "man/sup.1"]
  s.files = ["bin/sup", "bin/sup-add", "bin/sup-config", "bin/sup-dump", "bin/sup-import-dump", "bin/sup-psych-ify-config-files", "bin/sup-recover-sources", "bin/sup-sync", "bin/sup-sync-back-maildir", "bin/sup-tweak-labels", "ext/mkrf_conf_xapian.rb", "man/sup-add.1", "man/sup-config.1", "man/sup-dump.1", "man/sup-import-dump.1", "man/sup-psych-ify-config-files.1", "man/sup-recover-sources.1", "man/sup-sync-back-maildir.1", "man/sup-sync.1", "man/sup-tweak-labels.1", "man/sup.1"]
  s.homepage = "http://supmua.org"
  s.licenses = ["GPL-2"]
  s.post_install_message = "SUP: please note that our old mailing lists have been shut down,\n     re-subscribe to supmua@googlegroups.com to discuss and follow\n     updates on sup (send email to: supmua+subscribe@googlegroups.com).\n\n     OpenBSD users:\n     If your operating system is OpenBSD you have some\n     additional, manual steps to do before Sup will work, see:\n     https://github.com/sup-heliotrope/sup/wiki/Installation%3A-OpenBSD.\n"
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0")
  s.rubygems_version = "2.5.1"
  s.summary = "A console-based email client with the best features of GMail, mutt and Emacs"

  s.installed_by_version = "2.5.1" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rmail-sup>, ["~> 1.0.1"])
      s.add_runtime_dependency(%q<highline>, [">= 0"])
      s.add_runtime_dependency(%q<trollop>, [">= 1.12"])
      s.add_runtime_dependency(%q<lockfile>, [">= 0"])
      s.add_runtime_dependency(%q<mime-types>, [">= 1.0"])
      s.add_runtime_dependency(%q<locale>, ["~> 2.0"])
      s.add_runtime_dependency(%q<chronic>, ["~> 0.9"])
      s.add_runtime_dependency(%q<unicode>, ["~> 0.4.4"])
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<minitest>, ["~> 5.5.1"])
      s.add_development_dependency(%q<rr>, ["~> 1.1"])
      s.add_development_dependency(%q<gpgme>, [">= 2.0.2"])
      s.add_development_dependency(%q<pry>, [">= 0"])
    else
      s.add_dependency(%q<rmail-sup>, ["~> 1.0.1"])
      s.add_dependency(%q<highline>, [">= 0"])
      s.add_dependency(%q<trollop>, [">= 1.12"])
      s.add_dependency(%q<lockfile>, [">= 0"])
      s.add_dependency(%q<mime-types>, [">= 1.0"])
      s.add_dependency(%q<locale>, ["~> 2.0"])
      s.add_dependency(%q<chronic>, ["~> 0.9"])
      s.add_dependency(%q<unicode>, ["~> 0.4.4"])
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<minitest>, ["~> 5.5.1"])
      s.add_dependency(%q<rr>, ["~> 1.1"])
      s.add_dependency(%q<gpgme>, [">= 2.0.2"])
      s.add_dependency(%q<pry>, [">= 0"])
    end
  else
    s.add_dependency(%q<rmail-sup>, ["~> 1.0.1"])
    s.add_dependency(%q<highline>, [">= 0"])
    s.add_dependency(%q<trollop>, [">= 1.12"])
    s.add_dependency(%q<lockfile>, [">= 0"])
    s.add_dependency(%q<mime-types>, [">= 1.0"])
    s.add_dependency(%q<locale>, ["~> 2.0"])
    s.add_dependency(%q<chronic>, ["~> 0.9"])
    s.add_dependency(%q<unicode>, ["~> 0.4.4"])
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<minitest>, ["~> 5.5.1"])
    s.add_dependency(%q<rr>, ["~> 1.1"])
    s.add_dependency(%q<gpgme>, [">= 2.0.2"])
    s.add_dependency(%q<pry>, [">= 0"])
  end
end
